commit:     4e7a869dba8f6cf2c00a9e8796ab46b7463f7d37
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Sat Feb 25 19:45:58 2023 +0000
Commit:     Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Sat Feb 25 19:46:01 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=4e7a869d

www-apps/gotosocial: add missing docs dep

Closes: https://bugs.gentoo.org/896196
Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 www-apps/gotosocial/gotosocial-0.7.1.ebuild | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

diff --git a/www-apps/gotosocial/gotosocial-0.7.1.ebuild 
b/www-apps/gotosocial/gotosocial-0.7.1.ebuild
index b95336b5e..ab55a004b 100644
--- a/www-apps/gotosocial/gotosocial-0.7.1.ebuild
+++ b/www-apps/gotosocial/gotosocial-0.7.1.ebuild
@@ -3,9 +3,12 @@
 
 EAPI=8
 
-DOCS_BUILDER="mkdocs"
-DOCS_DEPEND="dev-python/mkdocs-render-swagger-plugin"
 PYTHON_COMPAT=( python3_{9..11} )
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND=(
+       dev-python/mkdocs-material
+       dev-python/mkdocs-render-swagger-plugin
+)
 inherit python-any-r1 docs go-module systemd tmpfiles
 
 DESCRIPTION="Fast, fun, ActivityPub server, powered by Go"
@@ -13,14 +16,14 @@ HOMEPAGE="
        https://gotosocial.org/
        https://github.com/superseriousbusiness/gotosocial
 "
-GH="https://github.com/superseriousbusiness/${PN}";
+GH_RELEASE="https://github.com/superseriousbusiness/${PN}/releases/download/v${PV}";
 SRC_URI="
-       ${GH}/releases/download/v${PV}/${P}-source-code.tar.gz
-       ${GH}/releases/download/v${PV}/${PN}_${PV}_web-assets.tar.gz
+       ${GH_RELEASE}/${P}-source-code.tar.gz
+       ${GH_RELEASE}/${PN}_${PV}_web-assets.tar.gz
 "
 S="${WORKDIR}"
 
-LICENSE="|| ( WTFPL-2 CC0-1.0 ) AGPL-3 BSD BSD-2 CC0-1.0 GPL-3 MIT MPL-2.0"
+LICENSE="|| ( WTFPL-2 CC0-1.0 ) AGPL-3 Apache-2.0 BSD BSD-2 CC0-1.0 GPL-3 MIT 
MPL-2.0"
 SLOT="0"
 KEYWORDS="~amd64"
 

Reply via email to